unit Sgraph;

interface

uses WinTypes,
     Dopl,
     Alchemw; {Color constants are here. otherwize would not be nessesary.}

type TSampleGraphic = class( THostGraphicPlug )
     private
      FchrHello: Array[0..50] of Char;
      FSaidHello: Boolean;
     public
      procedure BeforePlugInit; override;
      function Process: Word; override;
end;

implementation

procedure TSampleGraphic.BeforePlugInit;
begin
 inherited BeforePlugInit;
 WindowTitle := 'Sample Graphic Plug Using DOPL!';
 AlArgs( FchrHello, 50 );
end;

function TSampleGraphic.Process: Word;
begin
  Result := inherited Process;
  if not FSaidHello then
  begin
   FSaidHello := True;
   AlScreenStart( AL_GREEN );
   AlScreenEnd;
   AlMessageBox( FchrHello, 'Hello!', mb_Ok or mb_IconInformation );
  end;
end;

end.
