unit Rhost;

interface

uses WinTypes,
     WinProcs,
     SysUtils,
     StrUtils,
     CServe;

{ These types/constants match one for one on the client end.
  They should start at 4000 or > }
const CInvalid = 4000;
      CFileIn = 4001;

type PFileIn = ^TFileIn;
     TFileIn = record
      Flag: Word;
      FileName: String[100];
end;

type TReadHost = class( TCustomServer )
     private
      FReadName: String;
      FNameSent: Boolean;
     public
      procedure BeforePlugInit; override;
      procedure OnProcess; override;
end;

implementation

procedure TReadHost.BeforePlugInit;
begin
 inherited BeforePlugInit;
 ClientDllName := 'READER.DLL';
end;

procedure TReadHost.OnProcess;
var FileIn: TFileIn;
    chrName: Array[0..30] of Char;
begin
 inherited OnProcess;

 if (FNameSent=False) then
  begin
   FNameSent := True;
   AlArgs( chrName, 100 );
   FReadName := StrPas( chrName );
   DownloadDir := ExtractFilePath( FReadName );
   FileIn.FileName := FReadName;

   if FileExists( FReadName ) then
     FileIn.Flag := CFileIn
    else
     FileIn.Flag := CInvalid;

   SendBlock( FileIn, SizeOf( TFileIn ) );
 end;
end;

end.
